import type { IndyVdrPoolConfig } from './pool';
export interface IndyVdrModuleConfigOptions {
    /**
     * Array of indy networks to connect to.
     *
     * [@default](https://github.com/default) []
     *
     * @example
     * ```
     * {
     *   isProduction: false,
     *   genesisTransactions: 'xxx',
     *   indyNamespace: 'localhost:test',
     *   transactionAuthorAgreement: {
     *     version: '1',
     *     acceptanceMechanism: 'accept'
     *   }
     * }
     * ```
     */
    networks: [IndyVdrPoolConfig, ...IndyVdrPoolConfig[]];
}
export declare class IndyVdrModuleConfig {
    private options;
    constructor(options: IndyVdrModuleConfigOptions);
    /** See {@link IndyVdrModuleConfigOptions.networks} */
    get networks(): [IndyVdrPoolConfig, ...IndyVdrPoolConfig[]];
}
